libzypp: zypp::ProvideFilePolicy Class Reference

libzypp 17.25.10

Public Types | Public Member Functions | Private Attributes | List of all members
zypp::ProvideFilePolicy Class Reference

Policy for provideFile and RepoMediaAccess. More...

`#include <ProvideFilePolicy.h>`

## Public Types
typedef function< bool(int)> | ProgressCB
| Progress callback signature. More...

## Public Member Functions
ProvideFilePolicy & | progressCB (ProgressCB progressCB_r)
| Set callback. More...
bool | progress (int value) const
| Evaluate callback. More...
ProvideFilePolicy & | fileChecker (FileChecker fileChecker_r)
| Add a FileCecker passed down to the Fetcher. More...
const FileChecker & | fileChecker () const
| The FileCecker. More...

## Private Attributes
FileChecker | _fileChecker
ProgressCB | _progressCB

## Detailed Description

Policy for provideFile and RepoMediaAccess.

Provides callback hook for progress reporting and an optional FileCecker passed down to the Fetcher.

Definition at line 29 of file ProvideFilePolicy.h.

## Member Typedef Documentation

## ◆ ProgressCB

typedef function<bool ( int )> zypp::ProvideFilePolicy::ProgressCB

Progress callback signature.

Definition at line 33 of file ProvideFilePolicy.h.

## Member Function Documentation

## ◆ progressCB()

ProvideFilePolicy& zypp::ProvideFilePolicy::progressCB | ( | ProgressCB | progressCB_r | ) |
| inline

Set callback.

Definition at line 36 of file ProvideFilePolicy.h.

## ◆ progress()

bool zypp::ProvideFilePolicy::progress | ( | int | value | ) | const

Evaluate callback.

Definition at line 28 of file ProvideFilePolicy.cc.

## ◆ fileChecker() [1/2]

ProvideFilePolicy& zypp::ProvideFilePolicy::fileChecker | ( | FileChecker | fileChecker_r | ) |
| inline

Add a FileCecker passed down to the Fetcher.

Definition at line 44 of file ProvideFilePolicy.h.

## ◆ fileChecker() [2/2]

const FileChecker& zypp::ProvideFilePolicy::fileChecker | ( |  | ) | const
| inline

The FileCecker.

Definition at line 48 of file ProvideFilePolicy.h.

## Member Data Documentation

## ◆ _fileChecker

FileChecker zypp::ProvideFilePolicy::_fileChecker
| private

Definition at line 52 of file ProvideFilePolicy.h.

## ◆ _progressCB

ProgressCB zypp::ProvideFilePolicy::_progressCB
| private

Definition at line 53 of file ProvideFilePolicy.h.

The documentation for this class was generated from the following files:

- zypp/ProvideFilePolicy.h
- zypp/ProvideFilePolicy.cc